%global git_hash 51b1869

Name:       nodejs-nopt
Version:    1.0.10
Release:    1%{?dist}
Summary:    Node.js option parsing
License:    MIT
URL:        https://github.com/isaacs/nopt
# download from https://github.com/isaacs/nopt/tarball/%%{version}
Source0:    isaacs-nopt-%{version}-0-g%{git_hash}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  nodejs-devel
Requires:       nodejs

Requires:       nodejs-abbrev

%description
An option parsing library for Node.js and its package manager (npm).

%prep
%setup -q -n isaacs-nopt-3689c94

%nodejs_fixshebang bin/nopt.js

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_libdir}
cp -p lib/nopt.js %{buildroot}%{nodejs_libdir}

mkdir -p %{buildroot}%{_bindir}
cp -p bin/nopt.js %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_libdir}/nopt.js
%{_bindir}/nopt.js
%doc README.md LICENSE
%doc examples/

%changelog
* Tue Oct 25 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> 1.0.10-1
- new upstream release

* Mon Aug 22 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.6-1
- initial package
